<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.5) on Mon Jan 27 13:11:08 CET 2020 -->
<title>Canal</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-27">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Canal";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">proxy</a></div>
<h2 title="Class Canal" class="title">Class Canal</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>proxy.Canal</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&lt;<a href="../capteur/Capteur.html" title="interface in capteur">Capteur</a>&gt;</code>, <code><a href="../observer/SubjectAsync.html" title="interface in observer">SubjectAsync</a>&lt;<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a>&gt;</code>, <code><a href="interfaces/CapteurAsync.html" title="interface in proxy.interfaces">CapteurAsync</a></code>, <code><a href="interfaces/ObserverAsyncDeCapteur.html" title="interface in proxy.interfaces">ObserverAsyncDeCapteur</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Canal</span>
extends java.lang.Object
implements <a href="interfaces/CapteurAsync.html" title="interface in proxy.interfaces">CapteurAsync</a>, <a href="interfaces/ObserverAsyncDeCapteur.html" title="interface in proxy.interfaces">ObserverAsyncDeCapteur</a></pre>
<div class="block">Interface d'un canal, qui joue un double rôle du coté synchrone et asynchrone.
 Un canal du point de vue d'un capteur synchrone est un observer asynchrone par l'implémentation de ObserverAsyncDeCapteur.
 Un canal du point de vue d'un afficheur synchrone est un capteur asynchrone par l'implémentation de CapteurAsync.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Victor Harabari, Nathanael Touchard</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../capteur/Capteur.html" title="interface in capteur">Capteur</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#capteur">capteur</a></span></code></th>
<td class="colLast">
<div class="block">Capteur qui sera rendu asynchrone par le canal.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.concurrent.ScheduledExecutorService</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#executorService">executorService</a></span></code></th>
<td class="colLast">
<div class="block">Ensemble de threads disponibles pour l'execution asynchrone entre le capteur synchrone et l'afficheur synchrone.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#observer">observer</a></span></code></th>
<td class="colLast">
<div class="block">Observer de capteur asynchrone.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Canal</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructeur d'un canal.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deregister(observer.ObserverDeCapteurAsync)">deregister</a></span>&#8203;(<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a>&nbsp;observer)</code></th>
<td class="colLast">
<div class="block">Efface un observer synchrone au capteur asynchrone qui est le canal.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.concurrent.Future&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValue()">getValue</a></span>()</code></th>
<td class="colLast">
<div class="block">Schedule (mise en attente) l'appel au GetValue du capteur synchrone pour rendre l'appel au capteur asynchrone du point de vue de l'observer.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#register(observer.ObserverDeCapteurAsync)">register</a></span>&#8203;(<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a>&nbsp;observer)</code></th>
<td class="colLast">
<div class="block">Enregistre un observer synchrone au capteur asynchrone qui est le canal.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.concurrent.Future&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update(capteur.Capteur)">update</a></span>&#8203;(<a href="../capteur/Capteur.html" title="interface in capteur">Capteur</a>&nbsp;capteur)</code></th>
<td class="colLast">
<div class="block">Schedule (mise en attente) l'appel au Update de l'observer synchrone pour rendre l'appel à l'observer asynchrone du point de vue du capteur.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="executorService">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executorService</h4>
<pre>private&nbsp;java.util.concurrent.ScheduledExecutorService executorService</pre>
<div class="block">Ensemble de threads disponibles pour l'execution asynchrone entre le capteur synchrone et l'afficheur synchrone.</div>
</li>
</ul>
<a id="observer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>observer</h4>
<pre>private&nbsp;<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a> observer</pre>
<div class="block">Observer de capteur asynchrone.</div>
</li>
</ul>
<a id="capteur">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>capteur</h4>
<pre>private&nbsp;<a href="../capteur/Capteur.html" title="interface in capteur">Capteur</a> capteur</pre>
<div class="block">Capteur qui sera rendu asynchrone par le canal.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Canal</h4>
<pre>public&nbsp;Canal()</pre>
<div class="block">Constructeur d'un canal.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="register(observer.ObserverDeCapteurAsync)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>register</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;register&#8203;(<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a>&nbsp;observer)</pre>
<div class="block">Enregistre un observer synchrone au capteur asynchrone qui est le canal.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../observer/SubjectAsync.html#register(T)">register</a></code>&nbsp;in interface&nbsp;<code><a href="../observer/SubjectAsync.html" title="interface in observer">SubjectAsync</a>&lt;<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>observer</code> - observer asynchrone</dd>
</dl>
</li>
</ul>
<a id="deregister(observer.ObserverDeCapteurAsync)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deregister</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;deregister&#8203;(<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a>&nbsp;observer)</pre>
<div class="block">Efface un observer synchrone au capteur asynchrone qui est le canal.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../observer/SubjectAsync.html#deregister(T)">deregister</a></code>&nbsp;in interface&nbsp;<code><a href="../observer/SubjectAsync.html" title="interface in observer">SubjectAsync</a>&lt;<a href="../observer/ObserverDeCapteurAsync.html" title="interface in observer">ObserverDeCapteurAsync</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>observer</code> - observer asynchrone</dd>
</dl>
</li>
</ul>
<a id="update(capteur.Capteur)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">public&nbsp;java.util.concurrent.Future&lt;java.lang.Integer&gt;&nbsp;update&#8203;(<a href="../capteur/Capteur.html" title="interface in capteur">Capteur</a>&nbsp;capteur)</pre>
<div class="block">Schedule (mise en attente) l'appel au Update de l'observer synchrone pour rendre l'appel à l'observer asynchrone du point de vue du capteur.
 Le delai est compris entre 0 et 3 secondes.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../observer/ObserverAsync.html#update(T)">update</a></code>&nbsp;in interface&nbsp;<code><a href="../observer/ObserverAsync.html" title="interface in observer">ObserverAsync</a>&lt;<a href="../capteur/Capteur.html" title="interface in capteur">Capteur</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="interfaces/ObserverAsyncDeCapteur.html#update(capteur.Capteur)">update</a></code>&nbsp;in interface&nbsp;<code><a href="interfaces/ObserverAsyncDeCapteur.html" title="interface in proxy.interfaces">ObserverAsyncDeCapteur</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>capteur</code> - capteur synchrone</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>un Future représentant un Integer d'un calcul asynchrone (ici null)</dd>
</dl>
</li>
</ul>
<a id="getValue()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getValue</h4>
<pre class="methodSignature">public&nbsp;java.util.concurrent.Future&lt;java.lang.Integer&gt;&nbsp;getValue()</pre>
<div class="block">Schedule (mise en attente) l'appel au GetValue du capteur synchrone pour rendre l'appel au capteur asynchrone du point de vue de l'observer.
 Le delai est compris entre 0 et 3 secondes.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="interfaces/CapteurAsync.html#getValue()">getValue</a></code>&nbsp;in interface&nbsp;<code><a href="interfaces/CapteurAsync.html" title="interface in proxy.interfaces">CapteurAsync</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>un Future représentant un résultat contenant la valeur d'un calcul asynchrone</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
